// ********************************************************************************** //
// The contents of this file are subject to the Mozilla Public License Version 1.1    //
// (the "License"); you may not use this file except in compliance with the License.  //
// You may obtain a copy of the License at http://www.mozilla.org/MPL/                //
//                                                                                    //
// Software distributed under the License is distributed on an "AS IS" basis,         //
// WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License for the  //
// specific language governing rights and limitations under the License.              //
//                                                                                    //
// The Original Code provided by Mozilla's Firefox is XUL, Javascript, and CSS.       // 
// The Initial Developer of the Original Code is Aseem Kishore.                       //
// Portions created by Scott Williamson are Copyright (c) 2006.  All Rights Reserved. //
// Contributor - Intuit Inc. (c) 2007                                                 //
// ********************************************************************************** //

pref("thumbstrips.main.version", "");

pref("thumbstrips.time.page_update_frequency", 500);
pref("thumbstrips.time.time_update_frequency", 10000);
pref("thumbstrips.time.mouse_update_frequency", 20);
pref("thumbstrips.time.button_scroll_frequency", 20);

pref("thumbstrips.style.thumb_min_height", 50);
pref("thumbstrips.style.thumb_max_height", 250);
pref("thumbstrips.style.default_thumb_height", 100);

pref("thumbstrips.scrolling.min_speed", 1);
pref("thumbstrips.scrolling.max_speed", 64);
pref("thumbstrips.scrolling.multiple", 2);
pref("thumbstrips.scrolling.plateau_radius", 100);

pref("thumbstrips.sorting.first_visit", false);
pref("thumbstrips.sorting.last_visit", true);
pref("thumbstrips.sorting.every_visit", false);

pref("thumbstrips.options.mouse_scroll", true);
pref("thumbstrips.options.pause_switch", true);
pref("thumbstrips.options.page_min_value", 100);
pref("thumbstrips.options.page_max_value", 1000);
pref("thumbstrips.options.mouse_min_value", 10);
pref("thumbstrips.options.mouse_max_value", 100);

pref("thumbstrips.autosave.show_message", true);